# $OpenBSD$

HOMEPAGE=		http://www.gnustep.org/

MAINTAINER=		Julian Leyh <oenone@oenone.de>

# GPL
PERMIT_PACKAGE_CDROM=	Yes
PERMIT_PACKAGE_FTP=	Yes
PERMIT_DISTFILES_CDROM=	Yes
PERMIT_DISTFILES_FTP=	Yes

WANTLIB+=		objc.3.0

USE_GMAKE=		yes

MAKE_FILE=		GNUmakefile

GNUSTEP_ROOT=		${LOCALBASE}/GNUstep
GNUSTEP_SYSTEM_ROOT=	${GNUSTEP_ROOT}/System
GNUSTEP_LOCAL_ROOT=	${GNUSTEP_ROOT}/Local
GNUSTEP_NETWORK_ROOT=	${GNUSTEP_ROOT}/Network
GNUSTEP_HOST_OS=	openbsd3.6

GNUSTEP_PATHLIST="${GNUSTEP_LOCAL_ROOT}:${GNUSTEP_NETWORK_ROOT}:${GNUSTEP_SYSTEM_ROOT}/Tools"
PATH="/usr/bin:/bin:/usr/X11R6/bin:${LOCALBASE}/bin:${GNUSTEP_PATHLIST}"

GNUSTEP_ENV=		GNUSTEP_ROOT=${GNUSTEP_ROOT} \
			GNUSTEP_SYSTEM_ROOT=${GNUSTEP_SYSTEM_ROOT} \
			GNUSTEP_FLATTENED=yes \
			LIBRARY_COMBO=gnu-gnu-gnu \
			GNUSTEP_MAKEFILES=${GNUSTEP_SYSTEM_ROOT}/Library/Makefiles \
			GNUSTEP_LOCAL_ROOT=${GNUSTEP_LOCAL_ROOT} \
			GNUSTEP_NETWORK_ROOT=${GNUSTEP_NETWORK_ROOT} \
			GNUSTEP_USER_ROOT="~/GNUstep" \
			GNUSTEP_HOST=${MACHINE_ARCH}-unknown-${GNUSTEP_HOST_OS} \
			GNUSTEP_HOST_CPU=${MACHINE_ARCH:S/i386/ix86/} \
			GNUSTEP_HOST_VENDOR=unknown \
			GNUSTEP_HOST_OS=${GNUSTEP_HOST_OS} \
			GNUSTEP_PATHLIST=${GNUSTEP_PATHLIST} \
			PATH=${GNUSTEP_PATHLIST}:${PATH} \
			GNUSTEP_INSTALLATION_DIR=${WRKINST}/$(GNUSTEP_SYSTEM_ROOT) \
			INSTALL_ROOT_DIR=${WRKINST}
